summaryrefslogtreecommitdiffstats
path: root/ffmpeg/build
diff options
context:
space:
mode:
author Eric Hameleers <alien@slackware.com>2010-04-26 22:07:20 +0000
committer Eric Hameleers <alien@slackware.com>2010-04-26 22:07:20 +0000
commit0ac40503b2fe8b19d13fcbec7c993faeb61ab217 (patch)
treeafdbf75819b8986939c7ecbb95cd2ca8c7196ea6 /ffmpeg/build
parent0e8dbe0c579340f2b7b795c8636cd4c0b9a3de73 (diff)
downloadasb-0ac40503b2fe8b19d13fcbec7c993faeb61ab217.tar.gz
asb-0ac40503b2fe8b19d13fcbec7c993faeb61ab217.tar.xz
Fix the libraw1394 download URL, add librtmp support
Diffstat (limited to 'ffmpeg/build')
-rwxr-xr-xffmpeg/build/ffmpeg.SlackBuild60
1 files changed, 46 insertions, 14 deletions
diff --git a/ffmpeg/build/ffmpeg.SlackBuild b/ffmpeg/build/ffmpeg.SlackBuild
index 4ead2f25..0fac3d78 100755
--- a/ffmpeg/build/ffmpeg.SlackBuild
+++ b/ffmpeg/build/ffmpeg.SlackBuild
@@ -80,10 +80,11 @@
# allows to add AMR support to the distributable package.
# Also updated the X264 snapshot and libgsm.
# r22900-1: 26/apr/2010 by Eric Hameleers <alien@slackware.com>
-# * Update. Updated the schroedinger codec, which is now on par
-# speed-wise with the dirac codec. Also updated x264 snapshot
-# x264 can now produce blu-ray compliant video), and updated
-# the lame and dc1394 version.
+# * New snapshot. Updated the schroedinger codec, which is now
+# on par speed-wise with the dirac codec. Also updated the x264
+# snapshot (x264 can now produce blu-ray compliant video),
+# and updated the lame and dc1394 versions. Added support for
+# RTMP(E) - flash - streams through librtmp.
#
# Run 'sh ffmpeg.SlackBuild' to build a Slackware package.
# The package (.tgz) plus descriptive .txt file are created in /tmp .
@@ -122,6 +123,7 @@ DOCS_GSM="COPYRIGHT ChangeLog* INSTALL MACHINES MANIFEST README"
DOCS_LAME="API COPYING ChangeLog HACKING LICENSE README STYLEGUIDE TODO USAGE"
DOCS_ORC="COPYING README TODO"
DOCS_RAW1394="AUTHORS COPYING ChangeLog INSTALL NEWS README"
+DOCS_RTMP="AUTHORS COPYING ChangeLog README"
DOCS_SCHROEDINGER="AUTHORS COPYING* NEWS TODO"
DOCS_SPEEX=" AUTHORS COPYING ChangeLog NEWS README* TODO"
DOCS_X264="AUTHORS COPYING"
@@ -135,7 +137,8 @@ FFMPEG=$VERSION
GSM=1.0.13
LAME=3.98.4
ORC=0.4.4
-RAW1394=2.0.3
+RAW1394=2.0.5
+RTMP=2.2c
SCHROEDINGER=1.0.9
SPEEX=1.2rc1
X264=20100425-2245 # Needs yasm installed
@@ -213,18 +216,23 @@ SRCPAT[8]="NO"
# Library needed to control IEEE 1394 (firewire-) based cameras
SOURCE[9]="$SRCDIR/libraw1394-${RAW1394}.tar.gz"
-SRCURL[9]="http://www.linux1394.org/dl/libraw1394-${RAW1394}.tar.gz"
+SRCURL[9]="http://downloads.sourceforge.net/libraw1394/libraw1394-${RAW1394}.tar.gz"
SRCPAT[9]="NO"
SOURCE[10]="$SRCDIR/libdc1394-${DC1394}.tar.gz"
SRCURL[10]="http://downloads.sourceforge.net/libdc1394/libdc1394-${DC1394}.tar.gz"
SRCPAT[10]="NO"
-# FAAC library, will be statically linked with ffmpeg
+# FAAC library, for AAC (MP4 audio) encoding
SOURCE[11]="$SRCDIR/faac-$FAAC.tar.gz"
SRCURL[11]="http://downloads.sourceforge.net/faac/faac-$FAAC.tar.gz"
SRCPAT[11]="YES"
+# librtmp library, supporting RTMP streams
+SOURCE[12]="$SRCDIR/rtmpdump-${RTMP}.tar.gz"
+SRCURL[12]="http://rtmpdump.mplayerhq.hu/download/rtmpdump-${RTMP}.tar.gz"
+SRCPAT[12]="YES"
+
# Use the src_checkout() function if no downloadable tarball exists.
# This function checks out sources from SVN/CVS and creates a tarball of them.
@@ -659,9 +667,10 @@ sed -i -e "/^CCFLAGS/s,-O2 ,$SLKCFLAGS ," \
make ${NUMJOBS} 2>&1 | tee $OUTPUT/make-${PRGNAM}_gsm.log
# Install gsm into a temp location so ffmpeg can pickup the library
make install 2>&1 | tee -a $OUTPUT/make-${PRGNAM}_gsm.log
-mkdir -p $FFMPEGDEPSDIR/usr/{bin,include,lib${LIBDIRSUFFIX}}
+mkdir -p $FFMPEGDEPSDIR/usr/{bin,include/gsm,lib${LIBDIRSUFFIX}}
cp bin/* $FFMPEGDEPSDIR/usr/bin/
-cp inc/gsm.h $FFMPEGDEPSDIR/usr/include/
+cp inc/gsm.h $FFMPEGDEPSDIR/usr/include/gsm/
+ln -sf gsm/gsm.h $FFMPEGDEPSDIR/usr/include/gsm.h
cp lib/* $FFMPEGDEPSDIR/usr/lib${LIBDIRSUFFIX}/
# Add DOCS to the ffmpegdeps to have it added to ffmpeg package later:
mkdir -p $FFMPEGDEPSDIR/doc/gsm
@@ -699,7 +708,7 @@ echo -e "\n**\n**\n"
make install 2>&1 | tee -a $OUTPUT/make-${PRGNAM}_orc.log
# Add DOCS to the vlcdeps to have it added to vlc package later:
mkdir -p $FFMPEGDEPSDIR/doc/orc/
-cp ${DOCS_ORRC} $FFMPEGDEPSDIR/doc/orc/ || true
+cp ${DOCS_ORC} $FFMPEGDEPSDIR/doc/orc/ || true
cd -
}
@@ -741,6 +750,27 @@ cd -
# -----------------------------------------------------------------------------
+# Compile rtmpdump
+# -----------------------------------------------------------------------------
+make_rtmp()
+{
+echo -e "**\n** rtmp ...\n**"
+cd $TMP/tmp-$PRGNAM/rtmpdump-$RTMP
+make -C librtmp prefix=/usr OPT="$SLKCFLAGS" all librtmp.pc \
+ 2>&1 | tee $OUTPUT/make-${PRGNAM}_rtmp.log
+# Install librtmp into a temp location so ffmpeg can pickup the library
+echo -e "\n**\n**\n"
+mkdir -p $FFMPEGDEPSDIR/usr/{include/librtmp,lib${LIBDIRSUFFIX}/pkgconfig}
+cp -a librtmp/librtmp.a $FFMPEGDEPSDIR/usr/lib${LIBDIRSUFFIX}
+cp -a librtmp/{amf.h,http.h,log.h,rtmp.h} $FFMPEGDEPSDIR/usr/include/librtmp
+cp -a librtmp/librtmp.pc $FFMPEGDEPSDIR/usr/lib${LIBDIRSUFFIX}/pkgconfig
+# Add DOCS to the ffmpegdeps to have it added to ffmpeg package later:
+mkdir -p $FFMPEGDEPSDIR/doc/rtmp/
+cp -a $DOCS_RTMP $FFMPEGDEPSDIR/doc/rtmp/ || true
+cd -
+}
+
+# -----------------------------------------------------------------------------
# Compile ffmpeg with additional support for -
# LAME (MP3), XVID, FAAC (MP4), FAAD2 , SPEEX, X264, GSM, SCHROEDINGER
# -----------------------------------------------------------------------------
@@ -797,11 +827,12 @@ PKG_CONFIG_PATH="$FFMPEGDEPSDIR/usr/lib${LIBDIRSUFFIX}/pkgconfig" \
--enable-version3 \
--enable-postproc \
--enable-avfilter \
- --enable-libopencore-amrnb \
- --enable-libopencore-amrwb \
--enable-libdc1394 \
- --enable-libgsm \
--enable-libfaad \
+ --enable-libgsm \
+ --enable-libopencore-amrnb \
+ --enable-libopencore-amrwb \
+ --enable-librtmp \
--enable-libschroedinger \
--enable-libspeex \
--enable-libtheora \
@@ -816,7 +847,7 @@ PKG_CONFIG_PATH="$FFMPEGDEPSDIR/usr/lib${LIBDIRSUFFIX}/pkgconfig" \
--disable-debug \
$ARCHOPTS \
--extra-cflags="-I$FFMPEGDEPSDIR/usr/include -DRUNTIME_CPUDETECT" \
- --extra-ldflags="-L$FFMPEGDEPSDIR/usr/lib${LIBDIRSUFFIX}" \
+ --extra-ldflags="-L$FFMPEGDEPSDIR/usr/lib${LIBDIRSUFFIX} -lssl -lcrypto -lz" \
2>&1 | tee $OUTPUT/configure-${PRGNAM}_ffmpeg.log
make ${NUMJOBS} 2>&1 | tee $OUTPUT/make-${PRGNAM}_ffmpeg.log
@@ -841,6 +872,7 @@ make_1394
make_faad2
make_speex
make_gsm
+make_rtmp
make_orc
make_schroedinger
make_x264